/*!
  \example findUrgPortsSample.cpp

  \brief FindUrgPorts の動作サンプル

  \author Satofumi KAMIMURA

  $Id: findUrgPortsSample.cpp 1437 2009-10-21 16:08:07Z satofumi $
*/

#include "findUrgPorts.h"

using namespace qrk;
using namespace std;


//! main
int main(int argc, char *argv[])
{
  vector<string> ports;
  findUrgPorts(ports);

  // 見付かったポートを全て出力する
  printf("ports: %u\n", ports.size());
  for (vector<string>::iterator it = ports.begin();
       it != ports.end(); ++it) {
    printf("%s\n", it->c_str());
  }

#ifdef MSC
  getchar();
#endif

  return 0;
}
